iMaterialList Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iMaterialList Struct Reference
Textures & Materials

This class represents a list of materials. More...

`#include <iengine/material.h>`

Inheritance diagram for iMaterialList:

List of all members.

## Public Member Functions
virtual int | Add (iMaterialWrapper *obj)=0
| Add a material.
virtual csPtr< iMaterialWrapper > | CreateMaterial (iMaterial *material, const char *name)=0
| Create a new material, don't add it to the engine list.
virtual int | Find (iMaterialWrapper *obj) const =0
| Find a material and return its index.
virtual iMaterialWrapper * | FindByName (const char *Name) const =0
| Find a material by name.
virtual iMaterialWrapper * | Get (int n) const =0
| Return a material by index.
virtual int | GetCount () const =0
| Return the number of materials in this list.
virtual iMaterialWrapper * | NewMaterial (iMaterial *material, const char *name)=0
| Create a new material.
virtual bool | Remove (iMaterialWrapper *obj)=0
| Remove a material.
virtual bool | Remove (int n)=0
| Remove the nth material.
virtual void | RemoveAll ()=0
| Remove all materials.

## Detailed Description

This class represents a list of materials.

Main ways to get pointers to this interface:

- iEngine::GetMaterialList()

Main users of this interface:

- iEngine

Definition at line 135 of file material.h.

## Member Function Documentation

virtual int iMaterialList::Add | ( | iMaterialWrapper * | obj | ) | `[pure virtual]`

Add a material.

virtual csPtr<iMaterialWrapper> iMaterialList::CreateMaterial | ( | iMaterial * | material,
|  | const char * | name
| ) |  | `[pure virtual]`

Create a new material, don't add it to the engine list.

virtual int iMaterialList::Find | ( | iMaterialWrapper * | obj | ) | const`[pure virtual]`

Find a material and return its index.

virtual iMaterialWrapper* iMaterialList::FindByName | ( | const char * | Name | ) | const`[pure virtual]`

Find a material by name.

virtual iMaterialWrapper* iMaterialList::Get | ( | int | n | ) | const`[pure virtual]`

Return a material by index.

virtual int iMaterialList::GetCount | ( |  | ) | const`[pure virtual]`

Return the number of materials in this list.

virtual iMaterialWrapper* iMaterialList::NewMaterial | ( | iMaterial * | material,
|  | const char * | name
| ) |  | `[pure virtual]`

Create a new material.

virtual bool iMaterialList::Remove | ( | iMaterialWrapper * | obj | ) | `[pure virtual]`

Remove a material.

virtual bool iMaterialList::Remove | ( | int | n | ) | `[pure virtual]`

Remove the nth material.

virtual void iMaterialList::RemoveAll | ( |  | ) | `[pure virtual]`

Remove all materials.

The documentation for this struct was generated from the following file:

- iengine/material.h